> ## Documentation Index
> Fetch the complete documentation index at: https://docs.codegen.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Check Suite Settings

> Get check suite settings for a repository.



## OpenAPI

````yaml api-reference/openapi3.json get /v1/organizations/{org_id}/repos/check-suite-settings
openapi: 3.1.0
info:
  title: Developer API
  description: API for application developers
  version: 1.0.0
servers:
  - url: https://api.codegen.com
    description: Codegen API
security: []
paths:
  /v1/organizations/{org_id}/repos/check-suite-settings:
    get:
      tags:
        - repositories
        - check-suite-settings
      summary: Get Check Suite Settings
      description: Get check suite settings for a repository.
      operationId: >-
        get_check_suite_settings_v1_organizations__org_id__repos_check_suite_settings_get
      parameters:
        - name: repo_id
          in: query
          required: true
          schema:
            type: integer
            description: Repository ID
            title: Repo Id
          description: Repository ID
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CheckSuiteSettingsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CheckSuiteSettingsResponse:
      properties:
        check_retry_count:
          type: integer
          title: Check Retry Count
        ignored_checks:
          items:
            type: string
          type: array
          title: Ignored Checks
        check_retry_counts:
          additionalProperties:
            type: integer
          type: object
          title: Check Retry Counts
        custom_prompts:
          additionalProperties:
            type: string
          type: object
          title: Custom Prompts
        high_priority_apps:
          items:
            type: string
          type: array
          title: High Priority Apps
        available_check_suite_names:
          items:
            type: string
          type: array
          title: Available Check Suite Names
      type: object
      required:
        - check_retry_count
        - ignored_checks
        - check_retry_counts
        - custom_prompts
        - high_priority_apps
        - available_check_suite_names
      title: CheckSuiteSettingsResponse
      description: Response model for check suite settings.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````